Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.eclipse.m2m.qvt.oml.blackbox.java
Annotation Type Operation

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface Operation

Indicates that the annotated Java operation is a QVT operation, typically owned by a `Module` (`Library`, `OperationalTransformation`).

Since:
  2.0
See Also:
  `Operation.Kind`

Optional Element Summary
`boolean` | `contextual` Indicates whether the associated operation is `contextual` or not.
`java.lang.String` | `description` The textual description for the annotated operation, typically representing the detail semantics information, useful for a tooling support.
`Operation.Kind` | `kind` Indicates the operation kind specified for the annotated Java operation
`boolean` | `withExecutionContext` Indicates whether the associated operation would receive execution context (of `org.eclipse.m2m.qvt.oml.util.IContext` class) as the first parameter.

### contextual

    public abstract boolean contextual

  Indicates whether the associated operation is `contextual` or not.

  Returns:
    `true` if the associated operation is `contextual`, otherwise `false`.
  Default:
    false

### withExecutionContext

    public abstract boolean withExecutionContext

  Indicates whether the associated operation would receive execution context (of `org.eclipse.m2m.qvt.oml.util.IContext` class) as the first parameter.

  Returns:
    `true` if the associated operation receives execution context as the first parameter, otherwise `false` (default value).
  Since:
    3.0
  Default:
    false

### kind

    public abstract Operation.Kind kind

  Indicates the operation kind specified for the annotated Java operation

  Returns:
    the kind object
  Default:
    HELPER

### description

    public abstract java.lang.String description

  The textual description for the annotated operation, typically representing the detail semantics information, useful for a tooling support.

  Returns:
    the String object (empty string if nothing has been explicitly specified)
  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT